/*******************************************************************************
  MPLAB Harmony Graphics Asset Header File

  File Name:
    gfx_assets.h

  Summary:
    Header file containing a list of asset specifications for use with the
	MPLAB Harmony Graphics Stack.

  Description:
    Header file containing a list of asset specifications for use with the
	MPLAB Harmony Graphics Stack.

    Created with MPLAB Harmony Version 2.05
*******************************************************************************/

// DOM-IGNORE-BEGIN
/*******************************************************************************
Copyright (c) 2013-2014 released Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND,
EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR
OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR
CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF
SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.
*******************************************************************************/
// DOM-IGNORE-END

#ifndef GFX_ASSETS_H
#define GFX_ASSETS_H

#include "gfx/utils/gfx_utils.h"

// DOM-IGNORE-BEGIN
#ifdef __cplusplus  // Provide C++ Compatibility
extern "C" {
#endif
// DOM-IGNORE-END 

/*** Generated Asset Descriptors ***/
/*****************************************************************************
 * MPLAB Harmony Graphics Asset Location IDs
 *****************************************************************************/
#define GFXU_ASSET_LOCATION_ID_INTERNAL    0
 
/*****************************************************************************
 * MPLAB Harmony Graphics Image Assets
 *****************************************************************************/
/*********************************
 * GFX Image Asset
 * Name:   LucyInTheSky
 * Size:   363x272 pixels
 * Mode:   RGB_888
 * Format: JPEG
 ***********************************/
extern GFXU_ImageAsset LucyInTheSky;
	
/*********************************
 * GFX Image Asset
 * Name:   USA
 * Size:   417x272 pixels
 * Mode:   RGB_888
 * Format: JPEG
 ***********************************/
extern GFXU_ImageAsset USA;
	
/*********************************
 * GFX Image Asset
 * Name:   ice_color
 * Size:   480x300 pixels
 * Mode:   RGB_888
 * Format: JPEG
 ***********************************/
extern GFXU_ImageAsset ice_color;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Help_60
 * Size:   60x60 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Help_60;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Home_60x60
 * Size:   60x60 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Home_60x60;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Microchip_logo_150x30
 * Size:   150x30 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Microchip_logo_150x30;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_harmony_logo_40x40
 * Size:   40x40 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_harmony_logo_40x40;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Settings_60x60
 * Size:   60x60 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Settings_60x60;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_FF_30x30
 * Size:   30x30 pixels
 * Mode:   ARGB_8888
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_FF_30x30;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Play_30x30
 * Size:   30x30 pixels
 * Mode:   ARGB_8888
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Play_30x30;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Stop_30x30
 * Size:   30x30 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Stop_30x30;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Help_40x40
 * Size:   40x40 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Help_40x40;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_CloseX_40x40
 * Size:   40x40 pixels
 * Mode:   RGB_888
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_CloseX_40x40;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_CloseX_20x20
 * Size:   20x20 pixels
 * Mode:   ARGB_8888
 * Format: PNG
 ***********************************/
extern GFXU_ImageAsset GFX_CloseX_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Help_20x20
 * Size:   20x20 pixels
 * Mode:   ARGB_8888
 * Format: PNG
 ***********************************/
extern GFXU_ImageAsset GFX_Help_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_alpha_20x20
 * Size:   20x20 pixels
 * Mode:   ARGB_8888
 * Format: PNG
 ***********************************/
extern GFXU_ImageAsset GFX_alpha_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Home_20x20
 * Size:   20x20 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Home_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_ListWheel_20x20
 * Size:   20x20 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_ListWheel_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Settings_20x20
 * Size:   20x20 pixels
 * Mode:   ARGB_8888
 * Format: PNG
 ***********************************/
extern GFXU_ImageAsset GFX_Settings_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Slideshow_20x20
 * Size:   20x20 pixels
 * Mode:   ARGB_8888
 * Format: PNG
 ***********************************/
extern GFXU_ImageAsset GFX_Slideshow_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Touch_20x20
 * Size:   20x20 pixels
 * Mode:   ARGB_8888
 * Format: PNG
 ***********************************/
extern GFXU_ImageAsset GFX_Touch_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Keypad_20x20
 * Size:   20x20 pixels
 * Mode:   ARGB_8888
 * Format: PNG
 ***********************************/
extern GFXU_ImageAsset GFX_Keypad_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Play_20x20
 * Size:   20x20 pixels
 * Mode:   ARGB_8888
 * Format: PNG
 ***********************************/
extern GFXU_ImageAsset GFX_Play_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_FF_20x20
 * Size:   20x20 pixels
 * Mode:   ARGB_8888
 * Format: PNG
 ***********************************/
extern GFXU_ImageAsset GFX_FF_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Stop_20x20
 * Size:   20x20 pixels
 * Mode:   ARGB_8888
 * Format: PNG
 ***********************************/
extern GFXU_ImageAsset GFX_Stop_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Keyboard_80_drop
 * Size:   80x80 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Keyboard_80_drop;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_SlideShow_80_drop
 * Size:   80x80 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_SlideShow_80_drop;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Touch_80_drop
 * Size:   80x80 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Touch_80_drop;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_alpha_80x80_drop
 * Size:   80x80 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_alpha_80x80_drop;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Slide_80_drop
 * Size:   80x80 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Slide_80_drop;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Touch_80
 * Size:   80x80 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Touch_80;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_mplab_logo_80x80
 * Size:   80x80 pixels
 * Mode:   ARGB_8888
 * Format: PNG
 ***********************************/
extern GFXU_ImageAsset GFX_mplab_logo_80x80;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_NextScreen_60x60
 * Size:   60x60 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_NextScreen_60x60;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_FF_Green_20x20
 * Size:   20x20 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_FF_Green_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Play_Green_20x20
 * Size:   20x20 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Play_Green_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_Pause_Pink_20x20
 * Size:   20x20 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_Pause_Pink_20x20;
	
/*********************************
 * GFX Image Asset
 * Name:   Bar
 * Size:   480x65 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset Bar;
	
/*********************************
 * GFX Image Asset
 * Name:   HarmonyLogo
 * Size:   197x139 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset HarmonyLogo;
	
/*********************************
 * GFX Image Asset
 * Name:   MicrochipLogo_1
 * Size:   144x39 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset MicrochipLogo_1;
	
/*********************************
 * GFX Image Asset
 * Name:   CrossFade0
 * Size:   240x139 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset CrossFade0;
	
/*********************************
 * GFX Image Asset
 * Name:   CrossFade1
 * Size:   240x139 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset CrossFade1;
	
/*********************************
 * GFX Image Asset
 * Name:   CrossFade2
 * Size:   240x139 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset CrossFade2;
	
/*********************************
 * GFX Image Asset
 * Name:   CrossFade3
 * Size:   240x139 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset CrossFade3;
	
/*********************************
 * GFX Image Asset
 * Name:   PIC32Logo
 * Size:   240x61 pixels
 * Mode:   ARGB_8888
 * Format: PNG
 ***********************************/
extern GFXU_ImageAsset PIC32Logo;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_ArrowLeft_20x60
 * Size:   20x60 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_ArrowLeft_20x60;
	
/*********************************
 * GFX Image Asset
 * Name:   GFX_ArrowRight_20x60
 * Size:   20x60 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset GFX_ArrowRight_20x60;
	
/*********************************
 * GFX Image Asset
 * Name:   MicrochipLogo
 * Size:   300x181 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset MicrochipLogo;
	
/*********************************
 * GFX Image Asset
 * Name:   NewHarmonyLogo
 * Size:   301x181 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset NewHarmonyLogo;
	
/*****************************************************************************
 * MPLAB Harmony Graphics Font Assets
 *****************************************************************************/
/*********************************
 * GFX Font Asset
 * Name:         Calibri
 * Height:       20
 * Style:        Plain
 * Glyph Count:  3
 * Range Count:  3
 * Glyph Ranges: 0x2B
			     0x2D
			     0x3A
 ***********************************/
extern GFXU_FontAsset Calibri;
	
/*********************************
 * GFX Font Asset
 * Name:         ArialUnicodeMS
 * Height:       23
 * Style:        Plain
 * Glyph Count:  165
 * Range Count:  116
 * Glyph Ranges: 0x20
			     0x28-0x29
			     0x2B-0x39
			     0x3C
			     0x3E
			     0x41-0x42
			     0x44-0x45
			     0x48
			     0x4B-0x4C
			     0x53-0x54
			     0x57
			     0x61-0x7A
			     0x2190
			     0x3002
			     0x4E00
			     0x4E03
			     0x4E09-0x4E0B
			     0x4E2D
			     0x4E3B
			     0x4E5D
			     0x4E8C
			     0x4E94
			     0x4EE5
			     0x4EF6
			     0x4F8B
			     0x503C
			     0x505C
			     0x50CF
			     0x5165
			     0x516B
			     0x516D
			     0x5206
			     0x5217
			     0x52A8-0x52A9
			     0x5355
			     0x5373
			     0x53EF
			     0x5408
			     0x5411
			     0x542F
			     0x56DB
			     0x56DE
			     0x56FE
			     0x5757
			     0x589E
			     0x5982
			     0x59CB
			     0x5B57
			     0x5C0F
			     0x5C4F
			     0x5E2E
			     0x5E55
			     0x5E76
			     0x5E7B
			     0x5F00
			     0x62D6
			     0x6478
			     0x64AD
			     0x6539
			     0x653E
			     0x6574
			     0x6587
			     0x65F6
			     0x66F4
			     0x672C
			     0x67E5
			     0x683C
			     0x6B62
			     0x6BB5
			     0x6BD4
			     0x6BEB
			     0x6D4B
			     0x6D88
			     0x6DF7
			     0x6ED1
			     0x6EDA
			     0x706F
			     0x70B9
			     0x7247
			     0x7528
			     0x767D-0x767E
			     0x7684
			     0x76D8
			     0x770B
			     0x793A
			     0x79D2
			     0x7A7A
			     0x7F6E
			     0x8272
			     0x8303
			     0x83DC
			     0x884C
			     0x8868
			     0x89E6
			     0x89F8
			     0x8A00
			     0x8BBE
			     0x8BD5
			     0x8BED
			     0x8C03
			     0x8F38
			     0x8F6E
			     0x8F93
			     0x8FD0
			     0x8FD4
			     0x90E8
			     0x91CF
			     0x9375
			     0x952E
			     0x958B
			     0x95F4
			     0x9664
			     0x9694
			     0x96F6
			     0x9879
			     0xFF08-0xFF09
 ***********************************/
extern GFXU_FontAsset ArialUnicodeMS;
	
/*********************************
 * GFX Font Asset
 * Name:         ArialUnicodeMS_Large
 * Height:       25
 * Style:        Bold
 * Glyph Count:  55
 * Range Count:  39
 * Glyph Ranges: 0x20
			     0x41-0x42
			     0x44
			     0x47-0x48
			     0x4B-0x4D
			     0x50
			     0x53-0x54
			     0x57
			     0x61
			     0x63-0x65
			     0x67-0x69
			     0x6C-0x70
			     0x72-0x75
			     0x77
			     0x79
			     0x4EF6
			     0x50CF
			     0x5217
			     0x5408
			     0x548C
			     0x5716
			     0x5C0F
			     0x5E7B
			     0x6478
			     0x6D4B
			     0x6DF7
			     0x706F
			     0x7247
			     0x76D8
			     0x793A
			     0x7BC4
			     0x8303
			     0x8868
			     0x89E6
			     0x8AE7
			     0x8BD5
			     0x8F6E
			     0x90E8
			     0x952E
 ***********************************/
extern GFXU_FontAsset ArialUnicodeMS_Large;
	
/*********************************
 * GFX Font Asset
 * Name:         ArialUnicodeMS_XL
 * Height:       30
 * Style:        Bold
 * Glyph Count:  16
 * Range Count:  6
 * Glyph Ranges: 0x30-0x39
			     0x41
			     0x4D
			     0x50
			     0x4E0A-0x4E0B
			     0x5348
 ***********************************/
extern GFXU_FontAsset ArialUnicodeMS_XL;
	
/*****************************************************************************
 * MPLAB Harmony Graphics String Table
 *****************************************************************************/
/*********************************
 * GFX String Table
 * Name:         stringTable
 * Encoding:     UTF8
 * Languages:    English, Chinese
 * String Count: 92
 ***********************************/
// language IDs
#define language_English    0
#define language_Chinese    1

// string IDs
#define string_AM    0
#define string_AlphaBlendingDemo    1
#define string_AlphaBlendingDemoSmall    2
#define string_Backspace    3
#define string_DownLeft    4
#define string_Harmony    5
#define string_Help    6
#define string_HomeHelpText    7
#define string_KeypadWidgetDemo    8
#define string_KeypadWidgetDemoSmall    9
#define string_Keypad_0    10
#define string_Keypad_1    11
#define string_Keypad_2    12
#define string_Keypad_3    13
#define string_Keypad_4    14
#define string_Keypad_5    15
#define string_Keypad_6    16
#define string_Keypad_7    17
#define string_Keypad_8    18
#define string_Keypad_9    19
#define string_Keypad_a    20
#define string_Keypad_b    21
#define string_Keypad_c    22
#define string_Keypad_d    23
#define string_Keypad_e    24
#define string_Keypad_f    25
#define string_Keypad_g    26
#define string_Keypad_h    27
#define string_Keypad_i    28
#define string_Keypad_j    29
#define string_Keypad_k    30
#define string_Keypad_l    31
#define string_Keypad_m    32
#define string_Keypad_n    33
#define string_Keypad_o    34
#define string_Keypad_p    35
#define string_Keypad_q    36
#define string_Keypad_r    37
#define string_Keypad_s    38
#define string_Keypad_t    39
#define string_Keypad_u    40
#define string_Keypad_v    41
#define string_Keypad_w    42
#define string_Keypad_x    43
#define string_Keypad_y    44
#define string_Keypad_z    45
#define string_ListWheelDemo    46
#define string_ListWheelHelp    47
#define string_ListWheelWidgetDemoSmall    48
#define string_MainHelpHelp    49
#define string_MainIconHelp    50
#define string_MainSettingsHelp    51
#define string_PM    52
#define string_PlusMinusAlphaHelpInfo    53
#define string_RadioButton_Chinese    54
#define string_RadioButton_English    55
#define string_SetLanguage    56
#define string_SetTime    57
#define string_SlideShowDemo    58
#define string_SlideShowDemoSmall    59
#define string_SlideShowNavHelpInfo    60
#define string_SliderDragHelpInfo    61
#define string_Title    62
#define string_TouchFFHelpInfo    63
#define string_TouchMe    64
#define string_TouchPlayHelpInfo    65
#define string_TouchStopHelpInfo    66
#define string_TouchTestHelpInfo    67
#define string_TouchTestWidgetDemo    68
#define string_TouchTestWidgetDemoSmall    69
#define string_TouchTextField    70
#define string_UpRight    71
#define string_clear    72
#define string_colon    73
#define string_msecs500    74
#define string_num0    75
#define string_num1    76
#define string_num10    77
#define string_num11    78
#define string_num12    79
#define string_num2    80
#define string_num3    81
#define string_num4    82
#define string_num5    83
#define string_num6    84
#define string_num7    85
#define string_num8    86
#define string_num9    87
#define string_secs2    88
#define string_spaceChar    89
#define string_spacebar    90
#define string_textField_Instruction    91
 
extern GFXU_StringTableAsset stringTable;

//DOM-IGNORE-BEGIN
#ifdef __cplusplus
}
#endif
//DOM-IGNORE-END

#endif /* GFX_ASSETS_H */

